#!/usr/local/bin/perl

use strict;

my $dateInFile;
my @filelist;
my $latestDate;
my $url = "http://the-sun.on.cc";
my $platformStr;

getSdate();
getFolder();
getLatestDate();
getPlatform();

sub getSdate(){
  my $sdate = '/data/site/tsn/js/sdate.js';
  @filelist;

  open(IN, "<".$sdate);
  while(<IN>) {
    $dateInFile .= $_;
  }
  $dateInFile = substr $dateInFile, -11, 8;
  close(IN);
}

sub getFolder(){
  my $directory = '/data/site/tsn/cnt/good_news/';

  opendir(DIR, $directory);

  while(my $file = readdir(DIR)){
    if($file =~ /^[+-]?\d+$/){
      if(&checkContent($directory.$file."/index.html")==1){
	push(@filelist, $file);
      }
    }
  }
  closedir(DIR);
  @filelist = reverse(sort(@filelist));
}

sub checkContent(){
  my $curFile = shift;
  my $fileContent = "";
  open(IN, "<".$curFile);
  while(<IN>) {
    $fileContent .= $_;
  }
  close(IN);
  $fileContent =~ s/\r|\n//g;
  $fileContent =~ s/[^a-zA-Z0-9]//go;
  if($fileContent eq ""){
    return 0;
  }
  return 1;
}

sub getLatestDate(){
  for(@filelist){
    if($dateInFile>=$_){
      $latestDate = $_;
      last;
    }
  }
}

sub getPlatform(){
  my $platformPath = '/mnt/orisun/ori-cgi/platform';
  open(IN, "<".$platformPath);
  while(<IN>) {
    $platformStr .= $_;
    $platformStr =~ s/\r|\n//g;
  }
  close(IN);

  if($platformStr eq "DEV"){
    $url = 'http://the-sun.on.cc';
  }

  if($platformStr eq "UAT"){
    $url = 'http://tsn.preview06.uat.cms/cnt/good_news/'.$latestDate.'/index.html';
  }

  if($platformStr eq "LIVE"){
    $url = 'http://the-sun.on.cc/cnt/good_news/'.$latestDate.'/index.html';
  }
}

print "Content-type: text/html\n\n";
print "var GOOD_NEWS_PUBDATE = '$latestDate';";
exit;
